Bug 479730 - (perl-DateTimeX-Easy) Review Request: perl-DateTimeX-Easy - Parse a date/time string using the best method available
Review Request: perl-DateTimeX-Easy - Parse a date/time string using the best...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DateTimeX...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 13:56 EST by Chris Weyl
Modified: 2009-01-14 18:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 18:18:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-01-12 13:56:14 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-DateTimeX-Easy.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-DateTimeX-Easy-0.085-1.fc10.src.rpm

Description:
DateTimeX::Easy makes DateTime object creation quick and easy. It uses a
variety of DateTime::Format packages to do the bulk of the parsing, with
some custom tweaks to smooth out the rough edges (mainly concerning
timezone detection and selection).

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1047456
Comment 1 Parag AN(पराग) 2009-01-12 22:59:02 EST
- Needs work
+ Ok
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1047456
- rpmlint is NOT silent for SRPM. But silent for RPM.
perl-DateTimeX-Easy.src:25: W: unversioned-explicit-provides perl(DateTimeX::Easy::DateParse)

+ source files match upstream url
a43d1aeefd0e3cdac3228df0be053713  DateTimeX-Easy-0.085.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=107,  2 wallclock secs ( 0.03 usr  0.01 sys +  1.66 cusr  0.08 csys =  1.78 CPU)

+ Package perl-DateTimeX-Easy-0.085-1.fc11 =>
  Provides: perl(DateTimeX::Easy) = 0.085 perl(DateTimeX::Easy::DateParse)
  Requires: perl(Carp) perl(Date::Parse) perl(DateTime) perl(DateTime::Format::Flexible) perl(DateTime::Format::Natural) perl(DateTime::TimeZone) perl(DateTimeX::Easy::DateParse) perl(Scalar::Util) perl(Time::Zone) perl(base) perl(constant) perl(strict) perl(vars) perl(warnings)

Suggestions:
1) Fix unversioned-explicit-provides rpmlint message by using
perl(DateTimeX::Easy::DateParse)  = %{version}
Comment 2 Chris Weyl 2009-01-13 01:54:05 EST
New Package CVS Request
=======================
Package Name: perl-DateTimeX-Easy
Short Description: Parse a date/time string using the best method available
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-01-13 16:19:03 EST
cvs done.
Comment 4 Chris Weyl 2009-01-14 18:18:52 EST
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.